Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic
Interface BasicAclDao

All Known Subinterfaces:
  BasicAclExtendedDao

All Known Implementing Classes:
  JdbcDaoImpl, JdbcExtendedDaoImpl

    public interface BasicAclDao

Represents a data access object that can return the `BasicAclEntry`s applying to a given ACL object identity.

`BasicAclDao` implementations are responsible for interpreting a given `AclObjectIdentity` and being able to lookup and return the corresponding `BasicAclEntry`[]s.

`BasicAclDao`s many, but are not required to, allow the backend ACL repository to specify the class of `BasicAclEntry` implementations that should be returned.

Version:
  $Id: BasicAclDao.java,v 1.2 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Method Summary
`BasicAclEntry[]` | `getAcls(AclObjectIdentity aclObjectIdentity)` Obtains the ACLs that apply to the specified domain instance.

Method Detail

### getAcls

    BasicAclEntry[] getAcls(AclObjectIdentity aclObjectIdentity)

  Obtains the ACLs that apply to the specified domain instance.

  Does not perform caching, include ACLs from any inheritance hierarchy or filter returned objects based on effective permissions. Implementations are solely responsible for returning ACLs found in the ACL repository for the specified object identity.

  Parameters:
    `aclObjectIdentity` - the domain object instance that ACL information is being requested for (never `null`)
  Returns:
    the ACLs that apply (no `null`s are permitted in the array), or `null` if no ACLs could be found for the specified ACL object identity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.